org.yaml.snakeyaml.constructor

## Class SafeConstructor.ConstructYamlFloat

- java.lang.Object
- - org.yaml.snakeyaml.constructor.AbstractConstruct
  - - org.yaml.snakeyaml.constructor.SafeConstructor.ConstructYamlFloat

All Implemented Interfaces:
  Construct

Enclosing class:
  SafeConstructor

    public class SafeConstructor.ConstructYamlFloat
    extends AbstractConstruct

### Constructor Summary

Constructors
Constructor and Description
`SafeConstructor.ConstructYamlFloat()`

### Method Summary

Methods
`Object` `construct(Node node)` Construct a Java instance with all the properties injected when it is possible.

### Methods inherited from class org.yaml.snakeyaml.constructor.AbstractConstruct

`construct2ndStep`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeConstructor.ConstructYamlFloat

    public SafeConstructor.ConstructYamlFloat()

### Method Detail

#### construct

    public Object construct(Node node)

Description copied from interface: `Construct`
Construct a Java instance with all the properties injected when it is possible.

Parameters:
  `node` - composed Node
Returns:
  a complete Java instance